# MedicalCertificateCheckBoxType enum

Box detailed subtype

Inheritance
  - Object
  - Enum
  - MedicalCertificateCheckBoxType

## Constructors

MedicalCertificateCheckBoxType()
  const

## Values

McBoxUnknown → const MedicalCertificateCheckBoxType
McBoxPatientInfo → const MedicalCertificateCheckBoxType
McBoxWorkAccident → const MedicalCertificateCheckBoxType
McBoxAssignedToAccidentInsuranceDoctor → const MedicalCertificateCheckBoxType
McBoxInitialCertificate → const MedicalCertificateCheckBoxType
McBoxRenewedCertificate → const MedicalCertificateCheckBoxType
McBoxInsuredPayCase → const MedicalCertificateCheckBoxType
McBoxFinalCertificate → const MedicalCertificateCheckBoxType
McBoxRequiresCareYes → const MedicalCertificateCheckBoxType
McBoxRequiresCareNo → const MedicalCertificateCheckBoxType
McBoxAccidentYes → const MedicalCertificateCheckBoxType
McBoxAccidentNo → const MedicalCertificateCheckBoxType
McBoxOtherAccident → const MedicalCertificateCheckBoxType
McBoxEntitlementToContinuedPaymentYes → const MedicalCertificateCheckBoxType
McBoxEntitlementToContinuedPaymentNo → const MedicalCertificateCheckBoxType
McBoxSickPayWasClaimedNo → const MedicalCertificateCheckBoxType
McBoxSickPayWasClaimedYes → const MedicalCertificateCheckBoxType
McBoxSingleParentNo → const MedicalCertificateCheckBoxType
McBoxSingleParentYes → const MedicalCertificateCheckBoxType

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<MedicalCertificateCheckBoxType>
  A constant List of the values in this enum, in order of their declaration.